Skip to main content
GET
/
v1
/
addresses
/
settlement-rules
/
{ruleId}
Get single settlement rule
curl --request GET \
  --url https://api.xentfi.com/v1/addresses/settlement-rules/{ruleId} \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "walletId": "<string>",
    "slippageTolerance": "<string>",
    "isActive": true,
    "source": {
      "blockchainId": "<string>",
      "assetIds": [
        "<string>"
      ],
      "minAmount": "<string>",
      "maxAmount": "<string>"
    },
    "destination": {
      "blockchainId": "<string>",
      "assetId": "<string>",
      "address": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

ruleId
string
required

Response

Settlement rule details

data
object